<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [SpawnOptions](./bitburner.spawnoptions.md) &gt; [spawnDelay](./bitburner.spawnoptions.spawndelay.md)

## SpawnOptions.spawnDelay property

Number of milliseconds to delay before spawning script, defaults to 10000 (10s). Must be a positive integer.

**Signature:**

```typescript
spawnDelay?: number;
```
